| Extracted from Pike v7.8 release 700 at 2013-06-08.

[Top]
Search
Search.Database
Search.Database.Base

# Method Search.Database.Base()->get_metadata()

Method get_metadata

  `mapping(string:string) get_metadata(int|Standards.URI|string uri, void|string language, void|array(string) wanted_fields)`

Description

  Retrieve a metadata collection for a document.

Parameter `uri`

  The URI of the resource being indexed.

Parameter `language`

  A two letter ISO-639-1 language code, or 0 if the document is language neutral.

Parameter `wanted_fields`

  An array containing the wanted metadata field names, or 0.

Returns

  The metadata fields in wanted_fields or all existing fields if wanted_fields is 0.